image: docker:stable
services:
  - docker:dind

stages:
  - build
  - release

variables:
  DOCKER_NAME: "ganex/prometheus-alertmanager-cloudwatch-webhook"
  DOCKER_TAG: "latest"

build:
  stage: build
  script:
    - mkdir docker-images
    - docker build -t $DOCKER_NAME:$DOCKER_TAG -f Dockerfile .
    - docker save $DOCKER_NAME:$DOCKER_TAG > docker-images/image.tar
  artifacts:
    paths:
      - docker-images

release:
  stage: release
  script:
    - docker load -i docker-images/image.tar
    - docker login -u "$DOCKER_REGISTRY_USERNAME" -p "$DOCKER_REGISTRY_PASSWORD"
    - docker push $DOCKER_NAME:$DOCKER_TAG
  only:
    - master